View Issue Details

IDProjectCategoryView StatusLast Update
0006380Talerlibeufin-nexuspublic2023-12-15 15:34
ReporterFlorian Dold Assigned ToAntoine A  
PriorityhighSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.4Fixed in Version0.9.4 
Summary0006380: more extensive integration test cases for TWG are required
DescriptionWe currently test very little. What we need to add is:

* transactions that are returned due to missing reserve pub
* transactions that don't even have a debtor account (needs sandbox support)
* transactions that
* ... and probably many more!
TagsNo tags attached.

Activities

MS

2020-12-20 13:58

reporter   ~0017219

The mapping between (a) and (b) needs to be tested.

(a) transaction indexes that are known natively (= no facade involved) by the nexus.
(b) the transaction indexes as viewed by the Taler facade.

Antoine A

2023-12-15 13:14

developer   ~0020761

libeufin-bank TWG is well tested now, we should open a new issues when bugs are found

Issue History

Date Modified Username Field Change
2020-06-14 15:53 Florian Dold New Issue
2020-06-14 15:53 Florian Dold Status new => assigned
2020-06-14 15:53 Florian Dold Assigned To => MS
2020-11-10 11:45 MS Target Version => 0.9.1
2020-12-20 13:58 MS Note Added: 0017219
2023-01-08 10:37 Christian Grothoff Target Version 0.9.1 => 0.9.5
2023-04-13 20:28 Florian Dold Project libeufin => Taler
2023-04-13 21:46 Florian Dold Category other => libeufin-nexus
2023-09-03 18:14 Christian Grothoff Assigned To MS => Antoine A
2023-12-15 13:14 Antoine A Status assigned => resolved
2023-12-15 13:14 Antoine A Resolution open => fixed
2023-12-15 13:14 Antoine A Note Added: 0020761
2023-12-15 15:34 Christian Grothoff Product Version => git (master)
2023-12-15 15:34 Christian Grothoff Fixed in Version => 0.9.4
2023-12-15 15:34 Christian Grothoff Target Version 0.9.5 => 0.9.4